Page MenuHomePhabricator

rust-cpython: switch logging facade from `simple_logger` to `env_logger`
ClosedPublic

Authored by Alphare on Sep 6 2020, 4:34 AM.

Details

Summary

simple_logger is just too simple. env_logger supports logging to stderr,
and logging filtering, for example, which are becoming necessary now. The
project is nicely active.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Sep 6 2020, 4:34 AM
marmoute accepted this revision.Sep 11 2020, 4:18 AM
marmoute added a subscriber: marmoute.

Looks good.

indygreg accepted this revision.Sep 22 2020, 9:23 PM
This revision is now accepted and ready to land.Sep 22 2020, 9:23 PM